Bug 57917 - Installer fails to detect hdb Linux partitions for upgrade or full install from 7.1 version.
Installer fails to detect hdb Linux partitions for upgrade or full install fr...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-01 10:56 EST by Bill Calligan
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-02 18:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Calligan 2002-01-01 10:56:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
On a dual boot system where hda has Win98 and hdb has RH 7.1 using the LILO loader the REDHAT 7.2 Workstation installer will not 
recognize the existence of hdb at all. I attempted to do an upgrade install but installer cannot locate any LINUX partitions. I tried to do a full 
workstation install but the only destination for the install that the installer will allow to be selected is hda. Its obvious that hdb and the 
working LINUX partitions located on it are not capable of being detected by the LINUX 7.2 installer. I searched the redhat.install 
newsgroups and found several reports of the exact same problem. For informational purposes the REDHAT 7.1 that currently works fine 
on hdb was installed by the RH 7.1 installer a year ago on a brand new installed 30G hard drive. the install occurred effortlessly with the 
installer easily detecting the blank hard drive and doing a standard automatic partitioning. No custom tweaking was done on this at all. 
Beyond installing Nvidia Xfree 8.6 drivers and the Staroffice application provided in the RH 7.1 package the system is pretty much a virgin. 
The system motherboard is an ASUS P3V4X with a slot 1 Pentium 3, 800 Mhz, with 133 Mhz Front side bus. 500M of SDRAM (133 Mhz) is 
installed. Both hard drives hda and hdb are identical models of  30G Maxtor UDMA 66. Internet connection is via eth0 using a DSL  
external 
modem. Video card is an ELSA GLADIAC Geforce 2 and Pine TNT2 for secondary monitor support. Both CDROM and DVD drives are 
installed and work fine under RH 7.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot RH 7.2 Installation cdrom
2. Select Upgrade install
3.
	

Actual Results:  Installer posts screen message indicating that no Linux partitions were detected ...system cannot be upgraded.

Expected Results:  The istall show have asked me if I wished to update my filesystem from ext2 to ext3 and then proceeded.

Additional info:
Comment 1 Jeremy Katz 2002-01-02 18:06:09 EST
If you hit ctrl-alt-F2 from the installer, and run the following commands, what
is the output?

# mknod /dev/hdb
# fdisk -l /dev/hdb
# parted /dev/hdb
  (parted) print
Comment 2 Brent Fox 2002-01-21 00:49:22 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 3 jim barchuk 2002-01-24 11:51:46 EST
HiHi RH!

'Not a bug' eh? :) Please see Service Request 197114. Been dealing with this for
months.

'advisory RHBA-2002:016-06' has no effect. Druid says 'you have no Linux
partitions to upgrade' but fdisk still sees everything just fine.

Have a :) day!

jb

jim barchuk
jb@jbarchuk.com

Note You need to log in before you can comment on or make changes to this bug.